Bug 113081 - drop down java/diablo-jdk15 dependencies by using USE_XORG
Summary: drop down java/diablo-jdk15 dependencies by using USE_XORG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-28 11:30 UTC by baptiste.daroussin
Modified: 2007-07-28 00:40 UTC (History)
0 users

See Also:


Attachments
diablo-jdk15.patch (290 bytes, patch)
2007-05-28 11:30 UTC, baptiste.daroussin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description baptiste.daroussin 2007-05-28 11:30:02 UTC
        The actual port for diablo jdk use : USE_XLIB which depend on xorg-libraries, which brings as a dependency the whole set of xorg libraries.
        In fact java seems to really depends on those libraries :
        libX11
        libICE
        libSM
        libXext
        libXi
        libXp
        libXt
        libXtst
        libXdmcp
        libXau
        which by the game of dependencies can be resume to :
        libXi
        libXp
        libXt
        libXtst
        By replacing USE_XLIB=yes by USE_XORG+= xi xp xt xtst we can drop down the depency list from 77 to 26 which save installation/upgrade time and prevent from installing the whole set of xorg-libraries for servers without X11 like it is the case for me.
        the patch is quite simple and tested on diablo-jdk15

How-To-Repeat:         make all-depends-list | wc -l shows 77 ports
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2007-05-29 20:31:49 UTC
Responsible Changed
From-To: freebsd-java->glewis

Over to maintainer.
Comment 2 dfilter service freebsd_committer 2007-07-28 00:35:50 UTC
glewis      2007-07-27 23:35:46 UTC

  FreeBSD ports repository

  Modified files:
    java/diablo-jdk15    Makefile 
    java/diablo-jre15    Makefile 
  Log:
  . Reduce dependencies by using USE_XORG and only listing what is actually
    required.
  
  PR:             113081
  Submitted by:   Baptiste Daroussin <baptiste.daroussin@gmail.com>
  
  Revision  Changes    Path
  1.19      +1 -1      ports/java/diablo-jdk15/Makefile
  1.18      +1 -1      ports/java/diablo-jre15/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Greg Lewis freebsd_committer 2007-07-28 00:35:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!